Bug 1566372 - nfs mount is failing and not able to list files on mounted folder if mounted successfully.
Summary: nfs mount is failing and not able to list files on mounted folder if mounted ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils
Version: 6.7
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 07:53 UTC by Lakshmi Narayanan G
Modified: 2019-07-03 13:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-03 12:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lakshmi Narayanan G 2018-04-12 07:53:18 UTC
What problem/issue/behavior are you having trouble with?  What do you expect to see?

When I am trying to mount nfs, we are getting error as follows. Even then when I execute  "mount" command and check the results folders are mounted properlyand we able to "cd" to that folder. After that if I execute  "ls" command its hanging there no output at all.Please find dattached dmesg and error details.

mount: UUID=9487e877-8709-4379-bfee-9db8dc83fa5e already mounted on /boot
mount: /dev/mapper/VolGroup-lv_home already mounted on /home
mount: tmpfs already mounted on /dev/shm
mount: devpts already mounted on /dev/pts
mount: sysfs already mounted on /sys
mount: proc already mounted on /proc
mount.nfs: timeout set for Wed Apr  4 09:42:27 2018
mount.nfs: trying text-based options 'nointr,tcp,timeo=500,rsize=32768,wsize=32768,actimeo=0,vers=4,addr=156.145.146.112,clientaddr=156.145.146.100'
mount.nfs: mount(2): Operation not permitted
mount.nfs: trying text-based options 'nointr,tcp,timeo=500,rsize=32768,wsize=32768,actimeo=0,addr=156.145.146.112'
mount.nfs: prog 100003, trying vers=3, prot=6
mount.nfs: trying 156.145.146.112 prog 100003 vers 3 prot TCP port 2049
mount.nfs: prog 100005, trying vers=3, prot=6
mount.nfs: trying 156.145.146.112 prog 100005 vers 3 prot TCP port 600

Where are you experiencing the behavior?  What environment?

HP Prolient Gen 6 blade with RHEL 6.7 32 bit

When does the behavior occur? Frequently?  Repeatedly?   At certain times?

Frequently

What information can you provide around timeframes and the business impact?

Its a production issue.

Comment 2 Steve Dickson 2018-04-12 12:40:39 UTC
Please record a wire trace of the network traffic
between the client and server. 

tshark -w /tmp/data.pcap host <server> 
bzip /tmp/data.pcap

Comment 3 Lakshmi Narayanan G 2018-04-13 09:28:07 UTC
Thanks! Steve... when I tried this cmd in my local machine under root....Observing the error "Running as root & group is root". This could be dangerous.

Please comment on this, why bcoz since its customer issue, there may be chance to raise a Flag to fix this part "This could be dangerous".

Or 

This has to execute from the normal user[Test user]? I don't think customer have test user..., but I am asking here.


Note You need to log in before you can comment on or make changes to this bug.